NX Open C++ Reference Guide
|
Represents a SketchProjectBuilder builder
To create a new instance of this class, use SketchCollection::CreateProjectBuilder
Default values.
More...
Public Types | |
enum | OutputCurve { OutputCurveOriginal, OutputCurveSplineSegment, OutputCurveSingleSpline } |
This enum represents the kind of output curves. More... | |
Public Member Functions | |
bool | Associativity () |
Returns the associativity of projection. | |
NXOpen::SelectNXObjectList * | CurveList () |
Returns the curve list. | |
NXOpen::SketchProjectBuilder::OutputCurve | CurveType () |
Returns the output curve type generated by the projection. | |
bool | ProjectAsDumbFixedCurves () |
Returns the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch. | |
NXOpen::Section * | Section () |
Returns the section. | |
void | SetAssociativity (bool associativity) |
Sets the associativity of projection. | |
void | SetCurveType (NXOpen::SketchProjectBuilder::OutputCurve curveType) |
Sets the output curve type generated by the projection. | |
void | SetProjectAsDumbFixedCurves (bool projectAsDumbFixed) |
Sets the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch. | |
void | SetTolerance (double tolerance) |
Sets the tolerance value used for the projection. | |
double | Tolerance () |
Returns the tolerance value used for the projection. | |
![]() | |
NXOpen::Features::Feature * | CommitOperation () |
Commits the operation and creates the feature. | |
NXOpen::Features::Feature * | GetOperation () |
Returns the feature currently being edited by this builder. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a SketchProjectBuilder builder
To create a new instance of this class, use SketchCollection::CreateProjectBuilder
Default values.
Property | Value |
---|---|
Associativity |
True |
CurveType |
Original |
Created in NX5.0.0.
bool NXOpen::SketchProjectBuilder::Associativity | ( | ) |
Returns the associativity of projection.
If this variable is turned on, the output curves will always depend on the input curves. So that when the input curves change, the output curves will change accordingly. If this variable is set to false, the output curves derive their shape from current stage of the input curves and then become independent of the input curves. In drafting mode, one can not project curves in associative manner. Also if the curves belong to multiple parts, they can not be projected in associative manner.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::SketchProjectBuilder::CurveList | ( | ) |
Returns the curve list.
The curves to project should be added to this list only if they belong to multiple parts and they are to be projected in non associative manner. All the curves to be projected should either go to the section or the curve list depending on their owning parts.
Created in NX5.0.0.
License requirements : None
NXOpen::SketchProjectBuilder::OutputCurve NXOpen::SketchProjectBuilder::CurveType | ( | ) |
Returns the output curve type generated by the projection.
Depending on this value, the projected curve can have the same geometry as the input curves or it can be a single spline curve or a set of splines.
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchProjectBuilder::ProjectAsDumbFixedCurves | ( | ) |
Returns the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch.
This flag overrides the associativity flag i.e. if both projectAsDumbFixed and associativity are set to true,
the result will be dumb fixed curves and not an associative projection.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::SketchProjectBuilder::Section | ( | ) |
Returns the section.
The curves to project should be added to the section if they do not belong to multiple parts. All the curves to be projected should either go to the section or the curve list depending on their owning parts.
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchProjectBuilder::SetAssociativity | ( | bool | associativity | ) |
Sets the associativity of projection.
If this variable is turned on, the output curves will always depend on the input curves. So that when the input curves change, the output curves will change accordingly. If this variable is set to false, the output curves derive their shape from current stage of the input curves and then become independent of the input curves. In drafting mode, one can not project curves in associative manner. Also if the curves belong to multiple parts, they can not be projected in associative manner.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associativity | associativity |
void NXOpen::SketchProjectBuilder::SetCurveType | ( | NXOpen::SketchProjectBuilder::OutputCurve | curveType | ) |
Sets the output curve type generated by the projection.
Depending on this value, the projected curve can have the same geometry as the input curves or it can be a single spline curve or a set of splines.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curveType | curve type |
void NXOpen::SketchProjectBuilder::SetProjectAsDumbFixedCurves | ( | bool | projectAsDumbFixed | ) |
Sets the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch.
This flag overrides the associativity flag i.e. if both projectAsDumbFixed and associativity are set to true,
the result will be dumb fixed curves and not an associative projection.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectAsDumbFixed | projectasdumbfixed |
void NXOpen::SketchProjectBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance value used for the projection.
The same value is used for the tolerances related to the section.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
double NXOpen::SketchProjectBuilder::Tolerance | ( | ) |
Returns the tolerance value used for the projection.
The same value is used for the tolerances related to the section.
Created in NX5.0.0.
License requirements : None